//
// C++ Interface: rename
//
// Description: 
//
//
// Author: Spiros Georgaras <sng@hellug.gr>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef INITASKMODE_H
#define INITASKMODE_H

#include "iconload.h"
#include "ui_initaskmode.h"
#include <QtGui/QDialog>
#include <QKeyEvent>

#include <krun.h>

/**
 * This is the main view class for gwenrename.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * @short Main view
 * @author Spiros Georgaras <sng@hellug.gr>
 * @version 1.1
 */

class initaskMode : public QDialog, public Ui::initAskMode
{
    Q_OBJECT
public:
    /**
     * Default constructor
     */
     initaskMode(QDialog * parent = 0);
		 initaskMode(QDialog* , iconload* ic , QString folder);
		 void setFolder(QString folder);
		 int Result();
    /**
     * Destructor
     */
    virtual ~initaskMode();
private:
    Ui::initAskMode ui_initaskmode;
		int mResult;
		

		void keyPressEvent( QKeyEvent *e );
		void resizeEvent ( QResizeEvent *e );
// signals:
//     /**
//      * Use this signal to change the content of the statusbar
//      */
//     void signalChangeStatusbar(const QString& text);
// 
//     /**
//      * Use this signal to change the content of the caption
//      */
//     void signalChangeCaption(const QString& text);
// 
private slots:
		void renameFilesClicked();
		void renameDirClicked();
		void showHelp();
};

#endif // INITASKMODE_H
